## rust-k256 0.13.3

=== debian/changelog ===
rust-k256 (0.13.3-3) unstable; urgency=medium

  * Package k256 0.13.3 from crates.io using debcargo 2.7.0
  * Mark hash2curve test as flaky as well.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 07 Oct 2024 10:43:30 -0400

rust-k256 (0.13.3-2) unstable; urgency=medium

  * Package k256 0.13.3 from crates.io using debcargo 2.7.0
  * Mark tests as broken when only minimal features are applied.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 04 Oct 2024 14:42:48 -0400

rust-k256 (0.13.3-1) unstable; urgency=medium

  * Package k256 0.13.3 from crates.io using debcargo 2.6.1

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 01 Aug 2024 04:21:28 -0400
