=== debian/control ===
Source: rust-k256
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native (>= 1.65) <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-cfg-if-1+default-dev <!nocheck>,
 librust-ecdsa-0.16+alloc-dev (>= 0.16.8-~~) <!nocheck>,
 librust-ecdsa-0.16+der-dev (>= 0.16.8-~~) <!nocheck>,
 librust-ecdsa-0.16+digest-dev (>= 0.16.8-~~) <!nocheck>,
 librust-ecdsa-0.16+hazmat-dev (>= 0.16.8-~~) <!nocheck>,
 librust-ecdsa-0.16+pkcs8-dev (>= 0.16.8-~~) <!nocheck>,
 librust-ecdsa-0.16+signing-dev (>= 0.16.8-~~) <!nocheck>,
 librust-ecdsa-0.16+std-dev (>= 0.16.8-~~) <!nocheck>,
 librust-ecdsa-0.16+verifying-dev (>= 0.16.8-~~) <!nocheck>,
 librust-elliptic-curve-0.13+alloc-dev (>= 0.13.8-~~) <!nocheck>,
 librust-elliptic-curve-0.13+arithmetic-dev (>= 0.13.8-~~) <!nocheck>,
 librust-elliptic-curve-0.13+hazmat-dev (>= 0.13.8-~~) <!nocheck>,
 librust-elliptic-curve-0.13+pkcs8-dev (>= 0.13.8-~~) <!nocheck>,
 librust-elliptic-curve-0.13+sec1-dev (>= 0.13.8-~~) <!nocheck>,
 librust-elliptic-curve-0.13+std-dev (>= 0.13.8-~~) <!nocheck>,
 librust-once-cell-1+std-dev (>= 1.19-~~) <!nocheck>,
 librust-once-cell-1-dev (>= 1.19-~~) <!nocheck>,
 librust-sha2-0.10-dev <!nocheck>,
 librust-signature-2+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/k256]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/k256
X-Cargo-Crate: k256
Rules-Requires-Root: no

Package: librust-k256-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-cfg-if-1+default-dev,
 librust-ecdsa-0.16+alloc-dev (>= 0.16.8-~~),
 librust-ecdsa-0.16+der-dev (>= 0.16.8-~~),
 librust-ecdsa-0.16+digest-dev (>= 0.16.8-~~),
 librust-ecdsa-0.16+hazmat-dev (>= 0.16.8-~~),
 librust-ecdsa-0.16+pem-dev (>= 0.16.8-~~),
 librust-ecdsa-0.16+pkcs8-dev (>= 0.16.8-~~),
 librust-ecdsa-0.16+serde-dev (>= 0.16.8-~~),
 librust-ecdsa-0.16+signing-dev (>= 0.16.8-~~),
 librust-ecdsa-0.16+std-dev (>= 0.16.8-~~),
 librust-ecdsa-0.16+verifying-dev (>= 0.16.8-~~),
 librust-elliptic-curve-0.13+alloc-dev (>= 0.13.8-~~),
 librust-elliptic-curve-0.13+arithmetic-dev (>= 0.13.8-~~),
 librust-elliptic-curve-0.13+bits-dev (>= 0.13.8-~~),
 librust-elliptic-curve-0.13+ecdh-dev (>= 0.13.8-~~),
 librust-elliptic-curve-0.13+hash2curve-dev (>= 0.13.8-~~),
 librust-elliptic-curve-0.13+hazmat-dev (>= 0.13.8-~~),
 librust-elliptic-curve-0.13+jwk-dev (>= 0.13.8-~~),
 librust-elliptic-curve-0.13+pem-dev (>= 0.13.8-~~),
 librust-elliptic-curve-0.13+pkcs8-dev (>= 0.13.8-~~),
 librust-elliptic-curve-0.13+sec1-dev (>= 0.13.8-~~),
 librust-elliptic-curve-0.13+serde-dev (>= 0.13.8-~~),
 librust-elliptic-curve-0.13+std-dev (>= 0.13.8-~~),
 librust-hex-literal-0.4+default-dev,
 librust-once-cell-1+critical-section-dev (>= 1.19-~~),
 librust-once-cell-1+std-dev (>= 1.19-~~),
 librust-once-cell-1-dev (>= 1.19-~~),
 librust-serdect-0.2-dev,
 librust-sha2-0.10-dev,
 librust-signature-2+default-dev
Provides:
 librust-k256+alloc-dev (= ${binary:Version}),
 librust-k256+arithmetic-dev (= ${binary:Version}),
 librust-k256+bits-dev (= ${binary:Version}),
 librust-k256+critical-section-dev (= ${binary:Version}),
 librust-k256+default-dev (= ${binary:Version}),
 librust-k256+digest-dev (= ${binary:Version}),
 librust-k256+ecdh-dev (= ${binary:Version}),
 librust-k256+ecdsa-dev (= ${binary:Version}),
 librust-k256+ecdsa-core-dev (= ${binary:Version}),
 librust-k256+expose-field-dev (= ${binary:Version}),
 librust-k256+hash2curve-dev (= ${binary:Version}),
 librust-k256+hex-literal-dev (= ${binary:Version}),
 librust-k256+jwk-dev (= ${binary:Version}),
 librust-k256+once-cell-dev (= ${binary:Version}),
 librust-k256+pem-dev (= ${binary:Version}),
 librust-k256+pkcs8-dev (= ${binary:Version}),
 librust-k256+precomputed-tables-dev (= ${binary:Version}),
 librust-k256+schnorr-dev (= ${binary:Version}),
 librust-k256+serde-dev (= ${binary:Version}),
 librust-k256+serdect-dev (= ${binary:Version}),
 librust-k256+sha2-dev (= ${binary:Version}),
 librust-k256+sha256-dev (= ${binary:Version}),
 librust-k256+signature-dev (= ${binary:Version}),
 librust-k256+std-dev (= ${binary:Version}),
 librust-k256+test-vectors-dev (= ${binary:Version}),
 librust-k256-0-dev (= ${binary:Version}),
 librust-k256-0+alloc-dev (= ${binary:Version}),
 librust-k256-0+arithmetic-dev (= ${binary:Version}),
 librust-k256-0+bits-dev (= ${binary:Version}),
 librust-k256-0+critical-section-dev (= ${binary:Version}),
 librust-k256-0+default-dev (= ${binary:Version}),
 librust-k256-0+digest-dev (= ${binary:Version}),
 librust-k256-0+ecdh-dev (= ${binary:Version}),
 librust-k256-0+ecdsa-dev (= ${binary:Version}),
 librust-k256-0+ecdsa-core-dev (= ${binary:Version}),
 librust-k256-0+expose-field-dev (= ${binary:Version}),
 librust-k256-0+hash2curve-dev (= ${binary:Version}),
 librust-k256-0+hex-literal-dev (= ${binary:Version}),
 librust-k256-0+jwk-dev (= ${binary:Version}),
 librust-k256-0+once-cell-dev (= ${binary:Version}),
 librust-k256-0+pem-dev (= ${binary:Version}),
 librust-k256-0+pkcs8-dev (= ${binary:Version}),
 librust-k256-0+precomputed-tables-dev (= ${binary:Version}),
 librust-k256-0+schnorr-dev (= ${binary:Version}),
 librust-k256-0+serde-dev (= ${binary:Version}),
 librust-k256-0+serdect-dev (= ${binary:Version}),
 librust-k256-0+sha2-dev (= ${binary:Version}),
 librust-k256-0+sha256-dev (= ${binary:Version}),
 librust-k256-0+signature-dev (= ${binary:Version}),
 librust-k256-0+std-dev (= ${binary:Version}),
 librust-k256-0+test-vectors-dev (= ${binary:Version}),
 librust-k256-0.13-dev (= ${binary:Version}),
 librust-k256-0.13+alloc-dev (= ${binary:Version}),
 librust-k256-0.13+arithmetic-dev (= ${binary:Version}),
 librust-k256-0.13+bits-dev (= ${binary:Version}),
 librust-k256-0.13+critical-section-dev (= ${binary:Version}),
 librust-k256-0.13+default-dev (= ${binary:Version}),
 librust-k256-0.13+digest-dev (= ${binary:Version}),
 librust-k256-0.13+ecdh-dev (= ${binary:Version}),
 librust-k256-0.13+ecdsa-dev (= ${binary:Version}),
 librust-k256-0.13+ecdsa-core-dev (= ${binary:Version}),
 librust-k256-0.13+expose-field-dev (= ${binary:Version}),
 librust-k256-0.13+hash2curve-dev (= ${binary:Version}),
 librust-k256-0.13+hex-literal-dev (= ${binary:Version}),
 librust-k256-0.13+jwk-dev (= ${binary:Version}),
 librust-k256-0.13+once-cell-dev (= ${binary:Version}),
 librust-k256-0.13+pem-dev (= ${binary:Version}),
 librust-k256-0.13+pkcs8-dev (= ${binary:Version}),
 librust-k256-0.13+precomputed-tables-dev (= ${binary:Version}),
 librust-k256-0.13+schnorr-dev (= ${binary:Version}),
 librust-k256-0.13+serde-dev (= ${binary:Version}),
 librust-k256-0.13+serdect-dev (= ${binary:Version}),
 librust-k256-0.13+sha2-dev (= ${binary:Version}),
 librust-k256-0.13+sha256-dev (= ${binary:Version}),
 librust-k256-0.13+signature-dev (= ${binary:Version}),
 librust-k256-0.13+std-dev (= ${binary:Version}),
 librust-k256-0.13+test-vectors-dev (= ${binary:Version}),
 librust-k256-0.13.3-dev (= ${binary:Version}),
 librust-k256-0.13.3+alloc-dev (= ${binary:Version}),
 librust-k256-0.13.3+arithmetic-dev (= ${binary:Version}),
 librust-k256-0.13.3+bits-dev (= ${binary:Version}),
 librust-k256-0.13.3+critical-section-dev (= ${binary:Version}),
 librust-k256-0.13.3+default-dev (= ${binary:Version}),
 librust-k256-0.13.3+digest-dev (= ${binary:Version}),
 librust-k256-0.13.3+ecdh-dev (= ${binary:Version}),
 librust-k256-0.13.3+ecdsa-dev (= ${binary:Version}),
 librust-k256-0.13.3+ecdsa-core-dev (= ${binary:Version}),
 librust-k256-0.13.3+expose-field-dev (= ${binary:Version}),
 librust-k256-0.13.3+hash2curve-dev (= ${binary:Version}),
 librust-k256-0.13.3+hex-literal-dev (= ${binary:Version}),
 librust-k256-0.13.3+jwk-dev (= ${binary:Version}),
 librust-k256-0.13.3+once-cell-dev (= ${binary:Version}),
 librust-k256-0.13.3+pem-dev (= ${binary:Version}),
 librust-k256-0.13.3+pkcs8-dev (= ${binary:Version}),
 librust-k256-0.13.3+precomputed-tables-dev (= ${binary:Version}),
 librust-k256-0.13.3+schnorr-dev (= ${binary:Version}),
 librust-k256-0.13.3+serde-dev (= ${binary:Version}),
 librust-k256-0.13.3+serdect-dev (= ${binary:Version}),
 librust-k256-0.13.3+sha2-dev (= ${binary:Version}),
 librust-k256-0.13.3+sha256-dev (= ${binary:Version}),
 librust-k256-0.13.3+signature-dev (= ${binary:Version}),
 librust-k256-0.13.3+std-dev (= ${binary:Version}),
 librust-k256-0.13.3+test-vectors-dev (= ${binary:Version})
Description: Secp256k1 elliptic curve library written in pure Rust - Rust source code
 Includes support for ECDSA signing/verification/public-key recovery,
 Taproot Schnorr signatures (BIP340), Elliptic Curve Diffie-Hellman
 (ECDH), and general-purpose secp256k1 elliptic curve group operations
 which can be used to implement arbitrary protocols.
 Source code for Debianized Rust crate "k256"
