=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test k256 0.13.3 --all-targets --all-features
Features: test-name=rust-k256:@
Depends: dh-cargo (>= 31), rustc:native (>= 1.65), librust-blobby-0.3+default-dev, librust-criterion-0.5+default-dev, librust-ecdsa-0.16+dev-dev, librust-hex-literal-0.4+default-dev, librust-num-bigint-0.4+default-dev, librust-num-traits-0.2+default-dev, librust-proptest-1+default-dev (>= 1.4-~~), librust-rand-core-0.6+default-dev, librust-rand-core-0.6+getrandom-dev, librust-sha3-0.10-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test k256 0.13.3 --all-targets --no-default-features --features alloc
Features: test-name=librust-k256-dev:alloc
Depends: dh-cargo (>= 31), rustc:native (>= 1.65), librust-blobby-0.3+default-dev, librust-criterion-0.5+default-dev, librust-ecdsa-0.16+dev-dev, librust-hex-literal-0.4+default-dev, librust-num-bigint-0.4+default-dev, librust-num-traits-0.2+default-dev, librust-proptest-1+default-dev (>= 1.4-~~), librust-rand-core-0.6+default-dev, librust-rand-core-0.6+getrandom-dev, librust-sha3-0.10-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test k256 0.13.3 --all-targets --no-default-features --features arithmetic
Features: test-name=librust-k256-dev:arithmetic
Depends: dh-cargo (>= 31), rustc:native (>= 1.65), librust-blobby-0.3+default-dev, librust-criterion-0.5+default-dev, librust-ecdsa-0.16+dev-dev, librust-hex-literal-0.4+default-dev, librust-num-bigint-0.4+default-dev, librust-num-traits-0.2+default-dev, librust-proptest-1+default-dev (>= 1.4-~~), librust-rand-core-0.6+default-dev, librust-rand-core-0.6+getrandom-dev, librust-sha3-0.10-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test k256 0.13.3 --all-targets --no-default-features --features bits
Features: test-name=librust-k256-dev:bits
Depends: dh-cargo (>= 31), rustc:native (>= 1.65), librust-blobby-0.3+default-dev, librust-criterion-0.5+default-dev, librust-ecdsa-0.16+dev-dev, librust-hex-literal-0.4+default-dev, librust-num-bigint-0.4+default-dev, librust-num-traits-0.2+default-dev, librust-proptest-1+default-dev (>= 1.4-~~), librust-rand-core-0.6+default-dev, librust-rand-core-0.6+getrandom-dev, librust-sha3-0.10-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test k256 0.13.3 --all-targets --no-default-features --features critical-section
Features: test-name=librust-k256-dev:critical-section
Depends: dh-cargo (>= 31), rustc:native (>= 1.65), librust-blobby-0.3+default-dev, librust-criterion-0.5+default-dev, librust-ecdsa-0.16+dev-dev, librust-hex-literal-0.4+default-dev, librust-num-bigint-0.4+default-dev, librust-num-traits-0.2+default-dev, librust-proptest-1+default-dev (>= 1.4-~~), librust-rand-core-0.6+default-dev, librust-rand-core-0.6+getrandom-dev, librust-sha3-0.10-dev, @
